import pytest
import json
import yaml

defined_fields = ['tittle']

# @pytest.fixture(scope="module")
def load_cis_data():
    with open('cis_win10_automated.json') as f:
        data = json.loads(f.read())
        return data

# @pytest.fixture(scope="module")
def load_policy_data():
    with open('cis_win10_enterprise.yaml') as f:
        data = yaml.load(f.read())
        return data


cis_data = load_cis_data()
policy_data = load_policy_data()['checks']
fields = ['title', 'description', 'remediation', 'rationale']


@pytest.mark.parametrize('check', policy_data )
@pytest.mark.parametrize('field', fields )
def test_cis_win10(check, field):
    print(check['rationale'])
    policy_cis_id = check['compliance'][0]['cis'][0]
    assert cis_data[policy_cis_id][field] == check[field], f"Discrepancy in id {check['id']}"